DESCRITOPN = "Remap all available system devices of Litecell15 platform as symbolic links to easy to reach place in /var/lc15/"
LICENSE = "BSD"
LIC_FILES_CHKSUM = "file://${COREBASE}/meta/files/common-licenses/BSD;md5=3775480a712fc46a69647678acb234cb"

SRC_URI = "file://lc15-sysdev-remap \
	   file://mnt-rom-factory.automount \
	   file://mnt-rom-factory.mount \
	   file://mnt-storage.automount \
	   file://mnt-storage.mount \
	   file://lc15-sysdev-remap.service"

S = "${WORKDIR}"

inherit gitver-repo

REPODIR   = "${THISDIR}"
REPOFILE  = "lc15-sysdev-remap_1.0.bb"
PR       := "r${REPOGITFN}"

REPODIR   = "${THISDIR}/files"
REPOFILE  = ""
PR       := "${PR}.${REPOGITFN}"

do_install() {
	install -d ${D}${bindir}
	install -d ${D}${systemd_unitdir}/system/multi-user.target.wants/
	install -m 0755 ${S}/lc15-sysdev-remap ${D}${bindir}/lc15-sysdev-remap
	install -m 0644 ${S}/lc15-sysdev-remap.service ${D}${systemd_unitdir}/system/
	ln -sf ../lc15-sysdev-remap.service ${D}${systemd_unitdir}/system/multi-user.target.wants/
	install -m 0644 ${S}/mnt-rom-factory.automount ${D}${systemd_unitdir}/system/
	install -m 0644 ${S}/mnt-rom-factory.mount ${D}${systemd_unitdir}/system/
	install -m 0644 ${S}/mnt-storage.automount ${D}${systemd_unitdir}/system/
	install -m 0644 ${S}/mnt-storage.mount ${D}${systemd_unitdir}/system/
	ln -sf ../mnt-rom-factory.automount ${D}${systemd_unitdir}/system/multi-user.target.wants/
	ln -sf ../mnt-storage.automount ${D}${systemd_unitdir}/system/multi-user.target.wants/
}

FILES_${PN} += "${bindir} \
		${systemd_unitdir} \
		${sysconfdir}"

INSANE_SKIP_${PN} = "arch"
